cmake (4.2.3-2ubuntu2) resolute; urgency=medium

  * d/p/0003-fix-missing-multiarch-search-path-in-CMakeDetermineH.patch.
    Falls back to systems CMAKE_LIBRARY_ARCHITECTURE variable if hip
    specific one is missing. (LP: #2143705)

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Mon, 09 Mar 2026 10:25:01 +0100

cmake (4.2.3-2ubuntu1) resolute; urgency=medium

  * Merge with Debian; remaining changes:
    - d/rules, d/control: do not build the GUI for i386

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 12 Feb 2026 09:14:47 +0100

cmake (4.2.3-2) unstable; urgency=medium

  * Add support for Boost 1.89 and Boost 1.90 (Closes: #1127476)

 -- Timo Röhling <roehling@debian.org>  Tue, 10 Feb 2026 17:12:40 +0100

cmake (4.2.3-1ubuntu1) resolute; urgency=medium

  * Merge with Debian; remaining changes:
    - d/rules, d/control: do not build the GUI for i386
  * Make boost 1.90 a known version.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 09 Feb 2026 13:56:17 +0100

cmake (4.2.3-1) unstable; urgency=medium

  * New upstream version 4.2.3

 -- Timo Röhling <roehling@debian.org>  Thu, 29 Jan 2026 09:31:33 +0100

cmake (4.2.2-2) unstable; urgency=medium

  * Skip Timestamp2038 on i386 (no 64-bit time) (Closes: #1126187)

 -- Timo Röhling <roehling@debian.org>  Fri, 23 Jan 2026 11:10:36 +0100

cmake (4.2.2-1) unstable; urgency=medium

  * New upstream version 4.2.2

 -- Timo Röhling <roehling@debian.org>  Thu, 22 Jan 2026 13:27:56 +0100

cmake (4.2.1-2) unstable; urgency=medium

  * Upload to unstable.
  * Bump Standards-Version to 4.7.3

 -- Timo Röhling <roehling@debian.org>  Wed, 14 Jan 2026 23:24:53 +0100

cmake (4.2.1-1) experimental; urgency=medium

  * New upstream version 4.2.1

 -- Timo Röhling <roehling@debian.org>  Tue, 09 Dec 2025 15:26:33 +0100

cmake (4.2.0-2) experimental; urgency=medium

  * Skip failing tests on *-i386

 -- Timo Röhling <roehling@debian.org>  Thu, 27 Nov 2025 15:29:47 +0100

cmake (4.2.0-1) experimental; urgency=medium

  * New upstream version 4.2.0
  * Update patches
    - Merged: 0002-Allow-host-prefix-for-GNU-as-in-test-suite.patch

 -- Timo Röhling <roehling@debian.org>  Mon, 24 Nov 2025 15:00:31 +0100

cmake (4.1.2-1) experimental; urgency=medium

  * Simplify autopkgtest
  * Disable reprotest which fails due to insufficient disk space
  * New upstream version 4.1.2
    - Fix GNUInstallDirs Multi-Arch path regression (Closes: #1114681)
  * Update patches.
    - Merged: 0002-Fix-FTBFS-with-curl-8.16.patch

 -- Timo Röhling <roehling@debian.org>  Wed, 01 Oct 2025 15:18:27 +0200

cmake (4.1.1+really4.1.1-1) experimental; urgency=medium

  * Reintroduce CMake 4 to experimental

 -- Timo Röhling <roehling@debian.org>  Mon, 01 Sep 2025 12:20:57 +0200

cmake (4.1.1+really3.31.6-2ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules, d/control: do not build the GUI for i386

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 01 Dec 2025 15:20:45 +0100

cmake (4.1.1+really3.31.6-2) unstable; urgency=medium

  * Allow host prefix for GNU as (Closes: #1115461)
  * Prevent test suite failures if a '+' is in the source path

 -- Timo Röhling <roehling@debian.org>  Wed, 17 Sep 2025 16:13:35 +0200

cmake (4.1.1+really3.31.6-1) unstable; urgency=medium

  * New upstream version 4.1.1+really3.31.6
  * Revert to cmake 3.31.6 temporarily to avoid widespread
    disruption.

 -- Timo Röhling <roehling@debian.org>  Mon, 01 Sep 2025 11:14:57 +0200

cmake (4.1.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Timo Röhling <roehling@debian.org>  Mon, 01 Sep 2025 00:52:32 +0200

cmake (4.1.1-1) experimental; urgency=medium

  * Migrate debian/watch to version 5 format
  * New upstream version 4.1.1
  * Fix FTBFS with curl 8.16+

 -- Timo Röhling <roehling@debian.org>  Fri, 29 Aug 2025 12:06:15 +0200

cmake (4.1.0-1) experimental; urgency=medium

  * New upstream version 4.1.0
    - Add version 1.88 to legacy FindBoost module (Closes: #1110543)
  * Refresh patches (no functional changes)

 -- Timo Röhling <roehling@debian.org>  Tue, 12 Aug 2025 10:17:22 +0200

cmake (4.0.3-1) experimental; urgency=medium

  * New upstream version 4.0.3
  * Refresh patches (no functional changes)

 -- Timo Röhling <roehling@debian.org>  Tue, 17 Jun 2025 15:11:02 +0200

cmake (4.0.2-1) experimental; urgency=medium

  * New upstream version 4.0.2
  * Refresh patches (no functional changes)

 -- Timo Röhling <roehling@debian.org>  Sat, 10 May 2025 22:07:18 +0200

cmake (4.0.1-1) experimental; urgency=medium

  * New upstream version 4.0.1

 -- Timo Röhling <roehling@debian.org>  Fri, 11 Apr 2025 11:37:59 +0200

cmake (4.0.0-1) experimental; urgency=medium

  * New upstream version 4.0.0
  * Update patches
    - Drop 0002-Avoid-using-undocumented-type-for-CURLOPT_NETRC-valu.patch
      (applied upstream)
  * Bump Standards-Version to 4.7.2
  * Sanitize test environment
  * Install new manpage but skip duplicate LICENSES
  * Update d/copyright

 -- Timo Röhling <roehling@debian.org>  Fri, 04 Apr 2025 10:55:16 +0200

cmake (3.31.6-2ubuntu6) questing; urgency=medium

  * Re-enable tests on arm64
  * Merge changes from Debian unstable:
    - Sanitize test environment
    - Fix FTBFS with curl 8.16+
    - Allow host prefix for GNU as (Closes: #1115461)
    - Prevent test suite failures if a '+' is in the source path

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 20 Sep 2025 13:30:25 +0000

cmake (3.31.6-2ubuntu5) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Sat, 13 Sep 2025 16:03:33 +0000

cmake (3.31.6-2ubuntu4) questing; urgency=medium

  * Make boost 1.89 a known version.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 09 Aug 2025 22:01:31 +0200

cmake (3.31.6-2ubuntu3) questing; urgency=medium

  * Ignore test results on arm64 for a first build. See LP #2119445.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 08 Aug 2025 19:40:47 +0200

cmake (3.31.6-2ubuntu2) questing; urgency=medium

  * Make boost 1.88 a known version.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 08 Aug 2025 08:19:19 +0200

cmake (3.31.6-2ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2111544). Remaining changes:
    - d/rules, d/control: do not build the GUI for i386

 -- Ural Tunaboyu <ural.tunaboyu@canonical.com>  Thu, 22 May 2025 22:01:25 -0700

cmake (3.31.6-2) unstable; urgency=medium

  * Avoid using undocumented type fo CURLOPT_NETRC values (Closes: #1101604)

 -- Timo Röhling <roehling@debian.org>  Mon, 31 Mar 2025 16:09:14 +0200

cmake (3.31.6-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - Do not build the GUI on i386.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 05 Mar 2025 14:54:17 -0600

cmake (3.31.6-1) unstable; urgency=medium

  * New upstream version 3.31.6
  * Bump Standards-Version to 4.7.1

 -- Timo Röhling <roehling@debian.org>  Tue, 25 Feb 2025 09:21:18 +0100

cmake (3.31.5-2ubuntu3) plucky; urgency=medium

  * Do not build the GUI on i386.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 09 Feb 2025 12:07:03 -0600

cmake (3.31.5-2) unstable; urgency=medium

  * Migrate cmake-qt-gui to Qt 6

 -- Timo Röhling <roehling@debian.org>  Sat, 08 Feb 2025 21:57:44 +0100

cmake (3.31.5-1) unstable; urgency=medium

  * New upstream version 3.31.5

 -- Timo Röhling <roehling@debian.org>  Tue, 28 Jan 2025 10:48:06 +0100

cmake (3.31.4-2) unstable; urgency=medium

  * Source only upload.

 -- Timo Röhling <roehling@debian.org>  Wed, 15 Jan 2025 16:26:31 +0100

cmake (3.31.4-1) unstable; urgency=medium

  * New upstream version 3.31.4 (Closes: #1091023)

 -- Timo Röhling <roehling@debian.org>  Wed, 15 Jan 2025 16:26:13 +0100

cmake (3.31.3-1) unstable; urgency=medium

  * New upstream version 3.31.3

 -- Timo Röhling <roehling@debian.org>  Sun, 05 Jan 2025 23:16:50 +0100

cmake (3.31.2-1) unstable; urgency=medium

  * New upstream version 3.31.2
  * Refresh patches (no functional changes)

 -- Timo Röhling <roehling@debian.org>  Sun, 08 Dec 2024 21:42:00 +0100

cmake (3.31.1-1) unstable; urgency=medium

  * New upstream version 3.31.1
  * Update patches
    - Drop Fix-ImageMagick_-_ARCH_INCLUDE_DIR-detection.patch
    - Drop Recognize-Multi-Arch-libdir-for-musl-linux-any.patch
    - Drop LLD-linker-avoid-regression-on-archive-libraries-ded.patch
    All patches have been accepted and applied by upstream.

 -- Timo Röhling <roehling@debian.org>  Fri, 22 Nov 2024 23:59:06 +0100

cmake (3.31.0-2) unstable; urgency=medium

  * Avoid LLD linker regression on archive deduplication (Closes: #1087983)

 -- Timo Röhling <roehling@debian.org>  Thu, 21 Nov 2024 16:01:07 +0100

cmake (3.31.0-1) unstable; urgency=medium

  * New upstream version 3.31.0
  * Update patches
    - Add metadata to patch for ImageMagick_ARCH_INCLUDE_DIR
    - New patch to recognize musl-linux-any multiarch dirs
      (Closes: #1085507)

 -- Timo Röhling <roehling@debian.org>  Tue, 12 Nov 2024 10:31:58 +0100

cmake (3.30.5-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * patches/FindImageMagick-version7.patch: adapt for ImageMagick version 7.
    Closes #1087233.

 -- Steve M. Robbins <smr@debian.org>  Mon, 11 Nov 2024 17:24:10 -0600

cmake (3.30.5-1) unstable; urgency=medium

  * New upstream version 3.30.5

 -- Timo Röhling <roehling@debian.org>  Wed, 09 Oct 2024 08:14:22 +0200

cmake (3.30.4-1) unstable; urgency=medium

  * New upstream version 3.30.4
  * Refresh patch (no functional changes)
  * Wrap and sort Debian package files

 -- Timo Röhling <roehling@debian.org>  Mon, 30 Sep 2024 00:19:08 +0200

cmake (3.30.3-1) unstable; urgency=medium

  * New upstream version 3.30.3
  * Update patches
    - Drop 0002-Support-finding-libjvm.so-for-all-OpenJDK-variants.patch
      (merged upstream)

 -- Timo Röhling <roehling@debian.org>  Fri, 30 Aug 2024 13:51:41 +0200

cmake (3.30.2-2) unstable; urgency=medium

  * Support finding libjvm.so for all OpenJDK variants (Closes: #1078712)

 -- Timo Röhling <roehling@debian.org>  Thu, 15 Aug 2024 10:53:08 +0200

cmake (3.30.2-1) unstable; urgency=medium

  * New upstream version 3.30.2
    - Fix test regression due to changed cURL output (Closes: #1077446)

 -- Timo Röhling <roehling@debian.org>  Fri, 02 Aug 2024 22:16:23 +0200

cmake (3.30.1-1) unstable; urgency=medium

  * New upstream version 3.30.1

 -- Timo Röhling <roehling@debian.org>  Mon, 22 Jul 2024 20:57:46 +0200

cmake (3.30.0-1) unstable; urgency=medium

  * New upstream version 3.30.0
  * Test suite needs working Git now

 -- Timo Röhling <roehling@debian.org>  Tue, 09 Jul 2024 15:36:28 +0200

cmake (3.29.6-1) unstable; urgency=medium

  * Bump Standards-Version to 4.7.0
  * Remove obsolete CMAKE_USE_RELATIVE_PATHS=ON from build
  * New upstream version 3.29.6

 -- Timo Röhling <roehling@debian.org>  Thu, 20 Jun 2024 15:41:05 +0200

cmake (3.29.5-1) unstable; urgency=medium

  * New upstream version 3.29.5

 -- Timo Röhling <roehling@debian.org>  Sat, 08 Jun 2024 23:24:40 +0200

cmake (3.29.4-1) unstable; urgency=medium

  [ Aurelien Jarno ]
  * Drop kfreebsd-* specific build-depends, the ports have been removed

  [ Timo Röhling ]
  * New upstream version 3.29.4

 -- Timo Röhling <roehling@debian.org>  Tue, 04 Jun 2024 10:54:40 +0200

cmake (3.29.3-1) unstable; urgency=medium

  * New upstream version 3.29.3

 -- Timo Röhling <roehling@debian.org>  Sat, 11 May 2024 23:26:01 +0200

cmake (3.29.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Timo Röhling <roehling@debian.org>  Wed, 24 Apr 2024 10:47:53 +0200

cmake (3.29.2-1) experimental; urgency=medium

  * New upstream version 3.29.2

 -- Timo Röhling <roehling@debian.org>  Sun, 14 Apr 2024 22:47:16 +0200

cmake (3.28.3-1) unstable; urgency=medium

  * New upstream version 3.28.3

 -- Timo Röhling <roehling@debian.org>  Tue, 06 Feb 2024 21:23:21 +0100

cmake (3.28.2-1) unstable; urgency=medium

  * New upstream version 3.28.2
    - Temporarily revert the changes that exposed the libuv1 bug
      with random segfaults on ppc64el and ppc64 (cf. #1057717).

 -- Timo Röhling <roehling@debian.org>  Fri, 02 Feb 2024 17:43:28 +0100

cmake (3.28.1-1) unstable; urgency=medium

  * New upstream version 3.28.1
    - Do not expect EINTR when sleep is interrupted on GNU/Hurd
      (Closes: #1057785)

 -- Timo Röhling <roehling@debian.org>  Sat, 23 Dec 2023 22:41:16 +0100

cmake (3.28.0-1) unstable; urgency=medium

  * New upstream version 3.28.0
  * Install new cmake-cxxmodules(7) man page

 -- Timo Röhling <roehling@debian.org>  Thu, 07 Dec 2023 09:31:28 +0100

cmake (3.27.9-1) unstable; urgency=medium

  * New upstream version 3.27.9

 -- Timo Röhling <roehling@debian.org>  Sat, 02 Dec 2023 20:59:48 +0100

cmake (3.27.8-1) unstable; urgency=medium

  * New upstream version 3.27.8

 -- Timo Röhling <roehling@debian.org>  Sat, 18 Nov 2023 08:25:04 +0100

cmake (3.27.7-1) unstable; urgency=medium

  * New upstream version 3.27.7

 -- Timo Röhling <roehling@debian.org>  Sun, 08 Oct 2023 23:31:53 +0200

cmake (3.27.6-1) unstable; urgency=medium

  * New upstream version 3.27.6

 -- Timo Röhling <roehling@debian.org>  Thu, 21 Sep 2023 23:16:59 +0200

cmake (3.27.5-1) unstable; urgency=medium

  * New upstream version 3.27.5

 -- Timo Röhling <roehling@debian.org>  Fri, 15 Sep 2023 13:46:42 +0200

cmake (3.27.4-1) unstable; urgency=medium

  * New upstream version 3.27.4
    - Fix version detection for zlib 1.3

 -- Timo Röhling <roehling@debian.org>  Sat, 26 Aug 2023 19:56:02 +0200

cmake (3.27.3-1) unstable; urgency=medium

  * Clean __pycache__ from source tree (Closes: #1043733)
  * New upstream version 3.27.3

 -- Timo Röhling <roehling@debian.org>  Mon, 21 Aug 2023 10:28:27 +0200

cmake (3.27.2-1) unstable; urgency=medium

  * New upstream version 3.27.2

 -- Timo Röhling <roehling@debian.org>  Fri, 11 Aug 2023 12:19:26 +0200

cmake (3.27.1-2) unstable; urgency=medium

  * Fix pkg.cmake.bootstrap profile

 -- Timo Röhling <roehling@debian.org>  Sun, 30 Jul 2023 00:08:59 +0200

cmake (3.27.1-1) unstable; urgency=medium

  * New upstream version 3.27.1
  * Update patches
    - Drop backported bugfixes for Fortran regressions

 -- Timo Röhling <roehling@debian.org>  Wed, 26 Jul 2023 10:11:08 +0200

cmake (3.27.0-2) unstable; urgency=medium

  * Fix regressions with Fortran (Closes: #1041853)

 -- Timo Röhling <roehling@debian.org>  Tue, 25 Jul 2023 16:45:16 +0200

cmake (3.27.0-1) unstable; urgency=medium

  * New upstream version 3.27.0

 -- Timo Röhling <roehling@debian.org>  Thu, 20 Jul 2023 00:34:17 +0200

cmake (3.27.0~rc5-1) experimental; urgency=medium

  * New upstream version 3.27.0~rc5
  * Drop 0002-Fix-regression-in-FindProtobuf.cmake.patch

 -- Timo Röhling <roehling@debian.org>  Fri, 14 Jul 2023 19:12:50 +0200

cmake (3.27.0~rc4-3) experimental; urgency=medium

  * Fix regression in FindProtobuf.cmake

 -- Timo Röhling <roehling@debian.org>  Fri, 14 Jul 2023 15:49:49 +0200

cmake (3.27.0~rc4-2) experimental; urgency=medium

  * Remove obsolete PythonInterp and PythonLibs from autopkgtest

 -- Timo Röhling <roehling@debian.org>  Wed, 12 Jul 2023 14:22:58 +0200

cmake (3.27.0~rc4-1) experimental; urgency=medium

  * New upstream version 3.27.0~rc4
  * Refresh patches
    - Drop 0002-Tolerate-empty-proc-cpuinfo.patch (merged upstream)
    - Drop 0003-Linux-Provide-multiarch-library-directory-regex-earl.patch
      (merged upstream)
    - Drop 0004-HIP-Fix-search-for-hip-lang-CMake-package-on-multiar.patch
      (merged upstream)
    - Drop 0005-HIP-Add-support-for-HIP-runtime-in-system-paths.patch
      (merged upstream)
  * Fix cmake_minimum_required() in findmodules test
  * New Build-Depend on libcppdap-dev

 -- Timo Röhling <roehling@debian.org>  Fri, 07 Jul 2023 12:16:14 +0200

cmake (3.26.4-4) unstable; urgency=medium

  * Upload to unstable.

 -- Timo Röhling <roehling@debian.org>  Thu, 15 Jun 2023 23:32:16 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog cmake`.
